Bug 1015253 - Review Request: svn2git - A tool for migrating SVN projects to Git
Review Request: svn2git - A tool for migrating SVN projects to Git
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lameire Alexis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 14:07 EDT by Ken Dreyer
Modified: 2017-08-30 13:39 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
alexis.lameire: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Ken Dreyer 2013-10-03 14:07:50 EDT
Spec URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-svn2git.spec
SRPM URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-svn2git-2.2.2-1.fc21.src.rpm
Description: A tool for migrating SVN projects to Git
Fedora Account System Username: ktdreyer

Koji F21 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6022301
Comment 1 Björn "besser82" Esser 2013-10-24 03:28:19 EDT
taken  ;)
Comment 2 Ken Dreyer 2013-11-22 19:45:25 EST
I've updated a couple of small things in -2.

* Sat Nov 23 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 2.2.2-2
- Remove Rakefile during %%prep
- Move README to main binary package
- Remove gem2rpm comment

Exact changes in Git: http://fedorapeople.org/cgit/ktdreyer/public_git/rubygem-svn2git.git/commit/?id=111d9bc1e08fcf8faf73cbdd53659897184b43a6

Spec URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-svn2git.spec
SRPM URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-svn2git-2.2.2-1.fc21.src.rpm

F21 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6215610
Comment 4 Ken Dreyer 2014-05-21 14:54:29 EDT
Hi Björn, it's been a while, are you still interested in taking this package review?

New version:

* Wed May 21 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 2.3.1-1
- Update to latest upstream version
- Drop Minitest 5 patch (merged upstream)
- Adjustments for https://fedoraproject.org/wiki/Changes/Ruby_2.1

Exact change in Git: http://fedorapeople.org/cgit/ktdreyer/public_git/rubygem-svn2git.git/commit/?id=ea7d33766db01dc653eaeff2f6cc13a09ff23e65

Spec URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-svn2git-2.3.1-1.fc21.src.rpm
SRPM URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-svn2git.spec

F21 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6872681
Comment 5 Lameire Alexis 2015-01-02 03:41:17 EST
no response for the reviewer. The automatic procedure don't take place ( https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews )
I assign the review to me
Comment 6 Vít Ondruch 2015-01-02 07:24:55 EST
Hi Ken,

Have you considered to package svn2git as an application [1]? I don't think it make sense to have it available as a rubygem- package, since I am not convinced that svn2git is intended to be used as a library.


[1] https://fedoraproject.org/wiki/Packaging:Ruby#Applications
Comment 7 Ken Dreyer 2015-01-02 09:02:45 EST
Good catch Vít. I agree with your reasoning, and I've renamed the package to just "svn2git".

New version:

* Fri Jan 02 2015 Ken Dreyer <ktdreyer@ktdreyer.com> - 2.3.2-1
- Update to latest upstream version
- Rename to svn2git (RHBZ #1015253)
- Add requirement on git-svn
- Add Requires: for popen4 for dists older than Fedora 21

Exact change in Git: http://fedorapeople.org/cgit/ktdreyer/public_git/svn2git.git/commit/?id=474a26616c041204c48ae1d156a4a334b7f0742b

Spec URL: https://ktdreyer.fedorapeople.org/reviews/svn2git.spec
SRPM URL: https://ktdreyer.fedorapeople.org/reviews/svn2git-2.3.2-1.fc22.src.rpm

F22 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=8513305
Comment 8 Anders Blomdell 2015-03-24 15:18:25 EDT
I have problems building this with mock on Fedora-21, 
"BuildRequires: ruby(release)" seems to load jruby, replacing it
with "BuildRequires: ruby" seems to solve this issue (and makes the list
of dependent packages shrink from 84 to 9)
Comment 9 Ken Dreyer 2015-03-25 07:49:20 EDT
Hi Anders, that's odd, I'm not seeing that issue on my system here.

Can you try the following set of commands?

  $ git clone https://fedorapeople.org/cgit/ktdreyer/public_git/svn2git.git
  $ cd svn2git/
  $ fedpkg --dist f21 mockbuild

On another note, I've created an updated version:

* Tue Mar 24 2015 Ken Dreyer <ktdreyer@ktdreyer.com> - 2.3.2-2
- Drop Fedora 19 conditionals
- Use %%license macro

Exact change in Git: https://fedorapeople.org/cgit/ktdreyer/public_git/svn2git.git/commit/?id=f7ae4e41c494a2c04b1554bd999c63a6f3e628e1

Spec URL: https://ktdreyer.fedorapeople.org/reviews/svn2git.spec
SRPM URL: https://ktdreyer.fedorapeople.org/reviews/svn2git-2.3.2-2.fc23.src.rpm

F23 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=9319762
Comment 10 Anders Blomdell 2015-03-25 11:58:31 EDT
Even worse:

> git clone https://fedorapeople.org/cgit/ktdreyer/public_git/svn2git.git
Cloning into 'svn2git'...
Checking connectivity... done.
> cd svn2git/
> fedpkg --dist f21 mockbuild
Downloading svn2git-2.3.2.gem
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
Could not download sources: Command '['curl', '-H', 'Pragma:', '-o', '/var/tmp/svn2git/svn2git/svn2git-2.3.2.gem', '-R', '-S', '--fail', 'http://pkgs.fedoraproject.org/repo/pkgs/svn2git/svn2git-2.3.2.gem/8fc8495d807ad18d370e1979d00d2591/svn2git-2.3.2.gem']' returned non-zero exit status 22

This is what I got with the old .srpm (build.log):

ENTER do(['bash', '--login', '-c', '/usr/bin/rpmbuild -bb --target x86_64 --nodeps  /builddir/build/SPECS/svn2git.spec '], chrootPath='/var/lib/mock/regler-fed
ora-21-x86_64/root'shell=FalseprintOutput=Falseenv={'LANG': 'en_AU.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'CCACHE_DIR': '/tmp/ccache', 'HOSTNAME': 'moc
k', 'PROMPT_COMMAND': 'printf "\x1b]0;<mock-chroot>\x07<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'CCACHE_UMASK': '002'}gid
=135user='mockbuild'timeout=0logger=<mockbuild.trace_decorator.getLog object at 0x7fc2a88f46d0>uid=1001)
Executing command: ['bash', '--login', '-c', '/usr/bin/rpmbuild -bb --target x86_64 --nodeps  /builddir/build/SPECS/svn2git.spec '] with env {'LANG': 'en_AU.UT
F-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'CCACHE_DIR': '/tmp/ccache', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'printf "\x1b]0;<mock-chroot>\x07<mock-chroot>"
', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'CCACHE_UMASK': '002'} and shell False
Building target platforms: x86_64
Building for target x86_64
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.F48J53
+ umask 022
+ cd /builddir/build/BUILD
+ gem unpack /builddir/build/SOURCES/svn2git-2.3.2.gem
OptoFactory.java:109:in `<clinit>': java.lang.NoClassDefFoundError: org/objectweb/asm/Opcodes
        from Ruby.java:4549:in `<init>'
        from Ruby.java:280:in `newInstance'
        from Main.java:262:in `internalRun'
        from Main.java:221:in `run'
        from Main.java:201:in `main'
error: Bad exit status from /var/tmp/rpm-tmp.F48J53 (%prep)

And this is root.log:

DEBUG util.py:388:  Getting requirements for svn2git-2.3.2-1.fc21.src
DEBUG util.py:388:   --> ruby-libs-2.1.5-26.fc21.x86_64
DEBUG util.py:388:   --> rubygem-minitest-5.3.1-2.fc21.noarch
DEBUG util.py:388:   --> rubygem-open4-1.3.4-1.fc21.noarch
DEBUG util.py:388:   --> rubygems-devel-2.2.2-101.fc21.noarch
DEBUG util.py:388:  ================================================================================
DEBUG util.py:388:   Package                     Arch   Version                Repository      Size
DEBUG util.py:388:  ================================================================================
DEBUG util.py:388:  Installing:
DEBUG util.py:388:   ruby-libs                   x86_64 2.1.5-26.fc21          fedora.updates 2.9 M
DEBUG util.py:388:   rubygem-minitest            noarch 5.3.1-2.fc21           fedora.release  47 k
DEBUG util.py:388:   rubygem-open4               noarch 1.3.4-1.fc21           fedora.release  17 k
DEBUG util.py:388:   rubygems-devel              noarch 2.2.2-101.fc21         fedora.release  13 k
DEBUG util.py:388:  Installing for dependencies:
DEBUG util.py:388:   PyXB                        noarch 1.2.3-3.fc21           fedora.release 3.1 M
DEBUG util.py:388:   alsa-lib                    x86_64 1.0.28-2.fc21          fedora.release 387 k
DEBUG util.py:388:   apache-commons-codec        noarch 1.9-4.fc21             fedora.release 228 k
DEBUG util.py:388:   apache-commons-logging      noarch 1.1.3-14.fc21          fedora.release  83 k
DEBUG util.py:388:   base64coder                 noarch 20101219-11.fc21       fedora.release  13 k
DEBUG util.py:388:   bouncycastle                noarch 1.50-4.fc21            fedora.release 3.4 M
DEBUG util.py:388:   bouncycastle-mail           noarch 1.50-5.fc21            fedora.release 127 k
DEBUG util.py:388:   bouncycastle-pkix           noarch 1.50-3.fc21            fedora.release 609 k
DEBUG util.py:388:   bsf                         noarch 2.4.0-19.fc21          fedora.release 106 k
DEBUG util.py:388:   bytelist                    noarch 1.0.8-9.fc21           fedora.release  16 k
DEBUG util.py:388:   felix-osgi-core             noarch 1.4.0-17.fc21          fedora.release  96 k
DEBUG util.py:388:   fontconfig                  x86_64 2.11.1-5.fc21          fedora.release 235 k
DEBUG util.py:388:   fontpackages-filesystem     noarch 1.44-10.fc21           fedora.release  10 k
DEBUG util.py:388:   freetype                    x86_64 2.5.3-16.fc21          fedora.updates 410 k
DEBUG util.py:388:   geronimo-jms                noarch 1.1.1-19.fc21          fedora.release  31 k
DEBUG util.py:388:   giflib                      x86_64 4.1.6-12.fc21          fedora.release  44 k
DEBUG util.py:388:   hawtjni-runtime             noarch 1.10-3.fc21            fedora.updates 127 k
DEBUG util.py:388:   invokebinder                noarch 1.1-8.fc21             fedora.release  34 k
DEBUG util.py:388:   jansi                       noarch 1.11-6.fc21            fedora.release  44 k
DEBUG util.py:388:   jansi-native                x86_64 1.5-8.fc21             fedora.release  49 k
DEBUG util.py:388:   java-1.8.0-openjdk          x86_64 1:1.8.0.31-5.b13.fc21  fedora.updates 213 k
DEBUG util.py:388:   java-1.8.0-openjdk-headless x86_64 1:1.8.0.31-5.b13.fc21  fedora.updates  31 M
DEBUG util.py:388:   javamail                    noarch 1.5.1-3.fc21           fedora.release 648 k
DEBUG util.py:388:   javapackages-tools          noarch 4.1.0-7.fc21           fedora.updates  96 k
DEBUG util.py:388:   jcodings                    noarch 1.0.9-7.fc21           fedora.release 1.1 M
DEBUG util.py:388:   jffi                        x86_64 1.2.6-8.fc21           fedora.release 274 k
DEBUG util.py:388:   jline                       noarch 2.10-14.fc21           fedora.release 112 k
DEBUG util.py:388:   jna                         x86_64 4.1.0-7.fc21           fedora.release 204 k
DEBUG util.py:388:   jnr-constants               noarch 0.8.4-6.fc21           fedora.release 285 k
DEBUG util.py:388:   jnr-enxio                   noarch 0.3-7.fc21             fedora.release  40 k
DEBUG util.py:388:   jnr-ffi                     noarch 0.7.10-5.fc21          fedora.release 370 k
DEBUG util.py:388:   jnr-netdb                   noarch 1.1.1-3.fc21           fedora.release  59 k
EBUG util.py:388:   jnr-posix                   noarch 3.0.1-2.fc21           fedora.release 157 k
DEBUG util.py:388:   jnr-unixsocket              noarch 0.2-5.fc21             fedora.release  28 k
DEBUG util.py:388:   jnr-x86asm                  noarch 1.0.2-5.fc21           fedora.release 200 k
DEBUG util.py:388:   joda-convert                noarch 1.6-2.fc21             fedora.release  93 k
DEBUG util.py:388:   joda-time                   noarch 2.3-2.tzdata2013g.fc21 fedora.release 492 k
DEBUG util.py:388:   joni                        noarch 1.1.9-5.fc21           fedora.release 182 k
DEBUG util.py:388:   jruby                       noarch 1.7.2-5.fc21           fedora.release 8.6 M
DEBUG util.py:388:   jruby-yecht                 noarch 1.7.2-5.fc21           fedora.release  73 k
DEBUG util.py:388:   jzlib                       noarch 1.1.3-2.fc21           fedora.release  75 k
DEBUG util.py:388:   lcms2                       x86_64 2.6-4.fc21             fedora.release 154 k
DEBUG util.py:388:   libICE                      x86_64 1.0.9-2.fc21           fedora.release  69 k
DEBUG util.py:388:   libSM                       x86_64 1.2.2-2.fc21           fedora.release  43 k
DEBUG util.py:388:   libX11                      x86_64 1.6.2-2.fc21           fedora.release 608 k
DEBUG util.py:388:   libX11-common               noarch 1.6.2-2.fc21           fedora.release 187 k
DEBUG util.py:388:   libXau                      x86_64 1.0.8-4.fc21           fedora.release  33 k
DEBUG util.py:388:   libXext                     x86_64 1.3.3-2.fc21           fedora.release  42 k
DEBUG util.py:388:   libXfont                    x86_64 1.5.0-2.fc21           fedora.release 152 k
DEBUG util.py:388:   libXi                       x86_64 1.7.4-2.fc21           fedora.release  44 k
DEBUG util.py:388:   libXrender                  x86_64 0.9.8-4.fc21           fedora.release  30 k
DEBUG util.py:388:   libXtst                     x86_64 1.2.2-4.fc21           fedora.release  24 k
DEBUG util.py:388:   libfontenc                  x86_64 1.1.2-3.fc21           fedora.release  34 k
DEBUG util.py:388:   libjpeg-turbo               x86_64 1.3.1-5.fc21           fedora.updates 142 k
DEBUG util.py:388:   libpng                      x86_64 2:1.6.10-3.fc21        fedora.release 264 k
DEBUG util.py:388:   libxcb                      x86_64 1.11-3.fc21            fedora.updates 191 k
DEBUG util.py:388:   libxcb                      x86_64 1.11-3.fc21            fedora.updates 191 k
DEBUG util.py:388:   libxslt                     x86_64 1.1.28-8.fc21          fedora.release 245 k
DEBUG util.py:388:   libyaml                     x86_64 0.1.6-6.fc21           fedora.updates  58 k
DEBUG util.py:388:   log4j12                     noarch 1.2.17-8.fc21          fedora.updates 440 k
DEBUG util.py:388:   lyx-fonts                   noarch 2.1.3-1.fc21           fedora.updates 170 k
DEBUG util.py:388:   nailgun                     x86_64 0.7.1-12.fc21          fedora.release  40 k
DEBUG util.py:388:   objectweb-asm               noarch 5.0.2-2.fc21           fedora.release 578 k
DEBUG util.py:388:   python                      x86_64 2.7.8-7.fc21           fedora.release  92 k
DEBUG util.py:388:   python-cssselect            noarch 0.9.1-4.fc21           fedora.release  58 k
DEBUG util.py:388:   python-javapackages         noarch 4.1.0-7.fc21           fedora.updates  75 k
DEBUG util.py:388:   python-lxml                 x86_64 3.3.6-1.fc21           fedora.release 884 k
DEBUG util.py:388:   ruby-irb                    noarch 2.1.5-26.fc21          fedora.updates  92 k
DEBUG util.py:388:   rubygem-io-console          x86_64 0.4.2-26.fc21          fedora.updates  54 k
DEBUG util.py:388:   rubygem-json                x86_64 1.8.1-26.fc21          fedora.updates  78 k
DEBUG util.py:388:   rubygem-psych               x86_64 2.0.5-26.fc21          fedora.updates  83 k
DEBUG util.py:388:   rubygem-rdoc                noarch 4.1.1-2.fc21           fedora.release 443 k
DEBUG util.py:388:   rubygems                    noarch 2.2.2-101.fc21         fedora.release 247 k
DEBUG util.py:388:   rubypick                    noarch 1.1.1-2.fc21           fedora.release 6.5 k
DEBUG util.py:388:   snakeyaml                   noarch 1.13-3.fc21            fedora.release 236 k
DEBUG util.py:388:   ttmkfdir                    x86_64 3.0.9-44.fc21          fedora.release  52 k
DEBUG util.py:388:   tzdata-java                 noarch 2015a-1.fc21           fedora.updates 179 k
DEBUG util.py:388:   xalan-j2                    noarch 2.7.1-23.fc21          fedora.release 1.9 M
DEBUG util.py:388:   xerces-j2                   noarch 2.11.0-22.fc21         fedora.release 1.2 M
DEBUG util.py:388:   xml-commons-apis            noarch 1.4.01-18.fc21         fedora.release 228 k
DEBUG util.py:388:   xml-commons-resolver        noarch 1.2-17.fc21    DEBUG util.py:388:  Getting requirements for svn2git-2.3.2-1.fc21.src
DEBUG util.py:388:   --> ruby-2.1.5-26.fc21.x86_64
DEBUG util.py:388:   --> ruby-libs-2.1.5-26.fc21.x86_64
DEBUG util.py:388:   --> rubygem-minitest-5.3.1-2.fc21.noarch
DEBUG util.py:388:   --> rubygem-open4-1.3.4-1.fc21.noarch
DEBUG util.py:388:   --> rubygems-devel-2.2.2-101.fc21.noarch
DEBUG util.py:388:  ================================================================================
DEBUG util.py:388:   Package                Arch       Version             Repository          Size
DEBUG util.py:388:  ================================================================================
DEBUG util.py:388:  Installing:
DEBUG util.py:388:   ruby                   x86_64     2.1.5-26.fc21       fedora.updates      71 k
DEBUG util.py:388:   ruby-libs              x86_64     2.1.5-26.fc21       fedora.updates     2.9 M
DEBUG util.py:388:   rubygem-minitest       noarch     5.3.1-2.fc21        fedora.release      47 k
DEBUG util.py:388:   rubygem-open4          noarch     1.3.4-1.fc21        fedora.release      17 k
DEBUG util.py:388:   rubygems-devel         noarch     2.2.2-101.fc21      fedora.release      13 k
DEBUG util.py:388:  Installing for dependencies:
DEBUG util.py:388:   libyaml                x86_64     0.1.6-6.fc21        fedora.updates      58 k
DEBUG util.py:388:   ruby-irb               noarch     2.1.5-26.fc21       fedora.updates      92 k
DEBUG util.py:388:   rubygem-bigdecimal     x86_64     1.2.4-26.fc21       fedora.updates      85 k
DEBUG util.py:388:   rubygem-io-console     x86_64     0.4.2-26.fc21       fedora.updates      54 k
DEBUG util.py:388:   rubygem-json           x86_64     1.8.1-26.fc21       fedora.updates      78 k
DEBUG util.py:388:   rubygem-psych          x86_64     2.0.5-26.fc21       fedora.updates      83 k
DEBUG util.py:388:   rubygem-rdoc           noarch     4.1.1-2.fc21        fedora.release     443 k
DEBUG util.py:388:   rubygems               noarch     2.2.2-101.fc21      fedora.release     247 k
        fedora.release 110 k
DEBUG util.py:388:   xorg-x11-font-utils         x86_64 1:7.5-25.fc21          fedora.release  88 k
DEBUG util.py:388:   xorg-x11-fonts-Type1        noarch 7.5-14.fc21            fedora.release 522 k
DEBUG util.py:388:   yecht                       noarch 0.0.2-11.fc21          fedora.release  91 k
DEBUG util.py:388:   yydebug                     noarch 1.1.0-12.fc21          fedora.release  28 k
DEBUG util.py:388:  Transaction Summary
DEBUG util.py:388:  ================================================================================
DEBUG util.py:388:  Install  4 Packages (+84 Dependent packages)


While when specifying ruby I get:

DEBUG util.py:388:  Getting requirements for svn2git-2.3.2-1.fc21.src
DEBUG util.py:388:   --> ruby-2.1.5-26.fc21.x86_64
DEBUG util.py:388:   --> ruby-libs-2.1.5-26.fc21.x86_64
DEBUG util.py:388:   --> rubygem-minitest-5.3.1-2.fc21.noarch
DEBUG util.py:388:   --> rubygem-open4-1.3.4-1.fc21.noarch
DEBUG util.py:388:   --> rubygems-devel-2.2.2-101.fc21.noarch
DEBUG util.py:388:  ================================================================================
DEBUG util.py:388:   Package                Arch       Version             Repository          Size
DEBUG util.py:388:  ================================================================================
DEBUG util.py:388:  Installing:
DEBUG util.py:388:   ruby                   x86_64     2.1.5-26.fc21       fedora.updates      71 k
DEBUG util.py:388:   ruby-libs              x86_64     2.1.5-26.fc21       fedora.updates     2.9 M
DEBUG util.py:388:   rubygem-minitest       noarch     5.3.1-2.fc21        fedora.release      47 k
DEBUG util.py:388:   rubygem-open4          noarch     1.3.4-1.fc21        fedora.release      17 k
DEBUG util.py:388:   rubygems-devel         noarch     2.2.2-101.fc21      fedora.release      13 k
DEBUG util.py:388:  Installing for dependencies:
DEBUG util.py:388:   libyaml                x86_64     0.1.6-6.fc21        fedora.updates      58 k
DEBUG util.py:388:   ruby-irb               noarch     2.1.5-26.fc21       fedora.updates      92 k
DEBUG util.py:388:   rubygem-bigdecimal     x86_64     1.2.4-26.fc21       fedora.updates      85 k
DEBUG util.py:388:   rubygem-io-console     x86_64     0.4.2-26.fc21       fedora.updates      54 k
DEBUG util.py:388:   rubygem-json           x86_64     1.8.1-26.fc21       fedora.updates      78 k
DEBUG util.py:388:   rubygem-psych          x86_64     2.0.5-26.fc21       fedora.updates      83 k
DEBUG util.py:388:   rubygem-rdoc           noarch     4.1.1-2.fc21        fedora.release     443 k
DEBUG util.py:388:   rubygems               noarch     2.2.2-101.fc21      fedora.release     247 k
EBUG util.py:388:   rubypick               noarch     1.1.1-2.fc21        fedora.release     6.5 k
DEBUG util.py:388:  Transaction Summary
DEBUG util.py:388:  ================================================================================
DEBUG util.py:388:  Install  5 Packages (+9 Dependent packages)

Building also seems faster
Comment 11 Ken Dreyer 2015-03-25 12:06:51 EDT
(In reply to Anders Blomdell from comment #10)
> Downloading svn2git-2.3.2.gem
>   % Total    % Received % Xferd  Average Speed   Time    Time     Time 
> Current
>                                  Dload  Upload   Total   Spent    Left  Speed
>   0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--    
> 0
> curl: (22) The requested URL returned error: 404 Not Found

Oh, right. After cloning, you'll need to run "spectool -g svn2git.spec" in order to download the Source0 gem into the clone directory :)
Comment 12 Anders Blomdell 2015-03-25 12:47:23 EDT
Major weirdness, works on my workstation, but not on my build-server (which has a much smaller set of installed packages).

BTW: whats the harm in specifying "BuildRequires: ruby"?


Still: very useful package, thanks for packaging.
Comment 13 Ken Dreyer 2015-03-27 11:43:53 EDT
(In reply to Anders Blomdell from comment #12)
> BTW: whats the harm in specifying "BuildRequires: ruby"?

If a Ruby package is noarch, it should BuildRequires: ruby(release), because in theory it could work with any Ruby interpreter. If a Ruby package is arch-dependent, it should BuildRequires: ruby-devel.

There is not much harm in specifying "BuildRequires: ruby" in svn2git's case, but we might as well be correct :)
Comment 14 Upstream Release Monitoring 2016-01-11 02:30:15 EST
ktdreyer's scratch build of svn2git-2.3.2-3.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12494910
Comment 15 Ben Rosser 2017-08-30 13:39:09 EDT
What's the status of this review? I'd be happy to review it, if there's still interest.

Note You need to log in before you can comment on or make changes to this bug.